%define anolis_release 13
Name:		perl-Test-Kwalitee
Version:	1.28
Release:	%{anolis_release}%{?dist}
Summary:	Test the Kwalitee of a distribution before you release it
License:	GPL+ or Artistic
URL:		http://metacpan.org/module/Test::Kwalitee
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-Kwalitee-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
# Module
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Module::CPANTS::Analyse) >= 0.92
BuildRequires:	perl(parent)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder) >= 0.88
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(CPAN::Meta::Check) >= 0.011
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(lib)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Test::Tester) >= 0.108
BuildRequires:	perl(Test::Warnings) >= 0.009
# Dependencies

%description
Kwalitee is an automatically-measurable gauge of how good your software
is. That's very different from quality, which a computer really can't
measure in a general sense (if you can, you've solved a hard problem in
computer science).

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Test-Kwalitee-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{_bindir}/kwalitee-metrics
%{perl_vendorlib}/Test/
%{_mandir}/man1/kwalitee-metrics.1*
%{_mandir}/man3/Test::Kwalitee.3*

%files doc
%doc Changes CONTRIBUTING README

%changelog
* Mon Feb 6 2023 Funda Wang <fundawang@yeah.net> - 1.28-13
- Import package for anolis 23
